Subject: Re: bug#79308: 30.2; Maximum buffer size exceeded when running package-list-packages

From: Jeremy Bryant <[email-masked]>
Date: Tue, 26 Aug 2025 20:39:30 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 25 Aug 2025 11:40:24 +0200
>> From:  Enrico Rivarola via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Hi,
>> after upgrading to Emacs 30.2 I've this error message when running the 'package-list-packages' 
>> command:
>> 
>> "find-file-noselect-1: Maximum buffer size exceeded"
>> 
>> Running the command more times seems to make the message disappear, but doing some tests I found 
>> that the cause of the problem, at least in my system, seems to be the configuration of 
>> "custom-file' to 'null-device'.
>> Leaving it at its default value or setting it to a different real file (e.g. 'my-custom.el' in 
>> 'user-emacs-directory') does not cause any errors.
>
> I cannot reproduce this.  I started Emacs, the typed
>
>   M-: (setq custom-file null-device) RET
>
> then typed
>
>   M-x package-list-packages RET
>
> and Emacs displayed the list of packages without any error message.
>
> Can anyone else reproduce this problem?

FWIW I was no able to reproduce this bug on emacs -Q